# tempname

creates a file with an unique filename

## Calling Sequence

    tmp_name = tempname([prefix])

## Arguments

tmp_name

  a string

prefix

  a string: prefix of filename (On Windows, 3 characters maximum).

## Description

The `tempname` creates a file with an unique filename in the `TMPDIR` directory.

`tmp_name = tempname()` returns an unique string, `tmp_name`, suitable for use as a temporary filename.

## Examples

          F1 = tempname()
          isfile(F1)
          F2 = tempname('TMP')
          isfile(F2)

## History

5.4.0
Function `tempname` introduced.